﻿$subscriptions = Get-AzureRmSubscription
if ($subscriptions.Length -eq 0)
{
    Login-AzureRmAccount
}

./0-Variables.ps1
$rebuild = $true

$dataFactory = Get-AzureRmDataFactory -Name $dataFactoryName -ResourceGroupName $resourceGroupName -ErrorAction SilentlyContinue
if ($dataFactory -eq $null)
{
    Write-Host "creating data factory"
    $dataFactory = New-AzureRmDataFactory -Name $dataFactoryName -ResourceGroupName $resourceGroupName -Location $location -Force
}

$websiteLinkedService = $dataFactory | Get-AzureRmDataFactoryLinkedService -Name $websiteLinkedServiceName -ErrorAction SilentlyContinue
if ($websiteLinkedService -eq $null -or $rebuild)
{
    Write-Host "creating website linked service"
    $websiteLinkedService = $dataFactory | New-AzureRmDataFactoryLinkedService -Name $websiteLinkedServiceName -File "json\WebsiteLinkedService.json" -Force
}

$warehouseLinkedService = $dataFactory | Get-AzureRmDataFactoryLinkedService -Name $warehouseLinkedServiceName -ErrorAction SilentlyContinue
if ($warehouseLinkedService -eq $null -or $rebuild)
{
    Write-Host "creating warehouse linked service"
    $warehouseLinkedService = $dataFactory | New-AzureRmDataFactoryLinkedService -Name $warehouseLinkedServiceName -File "json\WarehouseLinkedService.json" -Force
}

$websiteDataset = $dataFactory | Get-AzureRmDataFactoryDataset -Name $websiteDatasetName -ErrorAction SilentlyContinue
if ($websiteDataset -eq $null -or $rebuild)
{
    Write-Host "creating website dataset"
    $websiteDataset = $dataFactory | New-AzureRmDataFactoryDataset -Name $websiteDatasetName -File "json\WebsiteTrialsDataset.json" -Force
}

$warehouseDataset = $dataFactory | Get-AzureRmDataFactoryDataset -Name $warehouseDatasetName -ErrorAction SilentlyContinue
if ($warehouseDataset -eq $null -or $rebuild)
{
    Write-Host "creating warehouse dataset"
    $warehouseDataset = $dataFactory | New-AzureRmDataFactoryDataset -Name $warehouseDatasetName -File "json\WarehouseTrialsDataset.json" -Force
}

$copyPipeline = $dataFactory | Get-AzureRmDataFactoryPipeline -Name $copyPipelineName -ErrorAction SilentlyContinue
if ($copyPipeline -eq $null -or $rebuild)
{
    Write-Host "creating pipeline"
    $copyPipeline = $dataFactory | New-AzureRmDataFactoryPipeline -Name $copyPipelineName -File "json\CopyTrialsToWarehousePipeline.json" -Force
}