﻿$subscriptions = Get-AzureRmSubscription
if ($subscriptions.Length -eq 0)
{
    Login-AzureRmAccount
}

./0-Variables.ps1
$rebuild = $true

$dataFactory = Get-AzureRmDataFactory -Name $dataFactoryName -ResourceGroupName $resourceGroupName -ErrorAction SilentlyContinue
if ($dataFactory -eq $null)
{
    Write-Host "creating data factory"
    $dataFactory = New-AzureRmDataFactory -Name $dataFactoryName -ResourceGroupName $resourceGroupName -Location $location -Force
}

$websiteLinkedService = $dataFactory | Get-AzureRmDataFactoryLinkedService -Name $websiteLinkedServiceName -ErrorAction SilentlyContinue
if ($websiteLinkedService -eq $null -or $rebuild)
{
    Write-Host "creating website linked service"
    $websiteLinkedService = $dataFactory | New-AzureRmDataFactoryLinkedService -Name $websiteLinkedServiceName -File "json\WebsiteLinkedService.json" -Force
}

$warehouseLinkedService = $dataFactory | Get-AzureRmDataFactoryLinkedService -Name $warehouseLinkedServiceName -ErrorAction SilentlyContinue
if ($warehouseLinkedService -eq $null -or $rebuild)
{
    Write-Host "creating warehouse linked service"
    $warehouseLinkedService = $dataFactory | New-AzureRmDataFactoryLinkedService -Name $warehouseLinkedServiceName -File "json\WarehouseLinkedService.json" -Force
}

$storageLinkedService = $dataFactory | Get-AzureRmDataFactoryLinkedService -Name $storageLinkedServiceName -ErrorAction SilentlyContinue
if ($storageLinkedService -eq $null -or $rebuild)
{
    Write-Host "Creating storage linked service"
    $storageLinkedService = $dataFactory | New-AzureRmDataFactoryLinkedService -Name $storageLinkedServiceName -File "json\AzureStorageLinkedService.json" -Force
}

$batchLinkedService = $dataFactory | Get-AzureRmDataFactoryLinkedService -Name $batchLinkedServiceName -ErrorAction SilentlyContinue
if ($batchLinkedService -eq $null -or $rebuild)
{
    Write-Host "Creating batch linked service"
    $batchLinkedService = $dataFactory | New-AzureRmDataFactoryLinkedService -Name $batchLinkedServiceName -File "json\BatchLinkedService.json" -Force
}

$websiteDataset = $dataFactory | Get-AzureRmDataFactoryDataset -Name $websiteDatasetName -ErrorAction SilentlyContinue
if ($websiteDataset -eq $null -or $rebuild)
{
    Write-Host "creating website dataset"
    $websiteDataset = $dataFactory | New-AzureRmDataFactoryDataset -Name $websiteDatasetName -File "json\WebsiteTrialsDataset.json" -Force
}

$warehouseDataset = $dataFactory | Get-AzureRmDataFactoryDataset -Name $warehouseDatasetName -ErrorAction SilentlyContinue
if ($warehouseDataset -eq $null -or $rebuild)
{
    Write-Host "creating warehouse dataset"
    $warehouseDataset = $dataFactory | New-AzureRmDataFactoryDataset -Name $warehouseDatasetName -File "json\WarehouseTrialsDataset.json" -Force
}

$blobDataset = $dataFactory | Get-AzureRmDataFactoryDataset -Name $blobDatasetName -ErrorAction SilentlyContinue
if ($blobDataset -eq $null -or $rebuild)
{
    Write-Host "creating blob dataset"
    $blobDataset = $dataFactory | New-AzureRmDataFactoryDataset -Name $blobDatasetName -File "json\BlobDataset.json" -Force
}

$predictionsBlobDataset = $dataFactory | Get-AzureRmDataFactoryDataset -Name $predictionsBlobDatasetName -ErrorAction SilentlyContinue
if ($predictionsBlobDataset -eq $null -or $rebuild)
{
    Write-Host "creating predictions blob dataset"
    $predictionsBlobDataset = $dataFactory | New-AzureRmDataFactoryDataset -Name $predictionsBlobDatasetName -File "json\PredictionsBlobDataset.json" -Force
}

$bogussBlobDataset = $dataFactory | Get-AzureRmDataFactoryDataset -Name $bogussBlobDatasetName -ErrorAction SilentlyContinue
if ($bogussBlobDataset -eq $null -or $rebuild)
{
    Write-Host "creating predictions blob dataset"
    $bogussBlobDataset = $dataFactory | New-AzureRmDataFactoryDataset -Name $bogussBlobDatasetName -File "json\BogusBlobDataset.json" -Force
}

$warehouseTrialsWithConversionDataset = $dataFactory | Get-AzureRmDataFactoryDataset -Name $warehouseTrialsWithConversionDatasetName -ErrorAction SilentlyContinue
if ($warehouseTrialsWithConversionDataset -eq $null -or $rebuild)
{
    Write-Host "creating warehouse with conversion dataset"
    $warehouseTrialsWithConversionDataset = $dataFactory | New-AzureRmDataFactoryDataset -Name $warehouseTrialsWithConversionDatasetName -File "json\WarehouseTrialsWithConversionDataset.json" -Force
}

$machinelearningLinkedService = $dataFactory | Get-AzureRmDataFactoryLinkedService -Name $machinelearningLinkedServiceName -ErrorAction SilentlyContinue
if ($warehouseLinkedService -eq $null -or $rebuild)
{
    Write-Host "creating machine learning linked service"
    $machinelearningLinkedService = $dataFactory | New-AzureRmDataFactoryLinkedService -Name $machinelearningLinkedServiceName -File "json\MachineLearningLinkedService.json" -Force
}

$customActivityPipeline = $dataFactory | Get-AzureRmDataFactoryPipeline -Name $customPipelineName -ErrorAction SilentlyContinue
if ($customActivityPipeline -eq $null -or $rebuild)
{
    Write-Host "creating pipeline"
    $customActivityPipeline = $dataFactory | New-AzureRmDataFactoryPipeline -Name $customPipelineName -File "json\UseCustomActivityPipeline.json" -Force
}